package com.xhpc.charging.station.mapper;

import com.xhpc.common.dto.XhpcBarrierGateRecordExcel;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcBarrierGateRecordMapper {

    List<Map<String,Object>> getLsit(@Param("params")Map<String, Object> params);

    List<XhpcBarrierGateRecordExcel> export(@Param("params")Map<String, Object> params);
    Map<String,Object> getXhpcBarrierGateRecordById(@Param("barrierGateRecordId")Long barrierGateRecordId);
}
